Package Gnumed :: Package business :: Module gmForms :: Class cFormTemplateType_MatchProvider |
[frames] | no frames]

# Class cFormTemplateType_MatchProvider

source code

                                  object --+
                                           |
     pycommon.gmMatchProvider.cMatchProvider --+
                                               |
    pycommon.gmMatchProvider.cMatchProvider_SQL2 --+
                                                   |
                                                  cFormTemplateType_MatchProvider

Instance Methods
__init__(self) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
Inherited from `pycommon.gmMatchProvider.cMatchProvider_SQL2`: `getAllMatches`, `getMatchesByPhrase`, `getMatchesBySubstr`, `getMatchesByWord`, `get_match_by_data` Inherited from `pycommon.gmMatchProvider.cMatchProvider`: `getMatches`, `setThresholds`, `set_context`, `unset_context` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
Inherited from `pycommon.gmMatchProvider.cMatchProvider`: `print_queries`

Properties
Inherited from `pycommon.gmMatchProvider.cMatchProvider`: `ignored_chars`, `word_separators` Inherited from `object`: `__class__`

Method Details

### __init__(self) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)